sccs-log(1)

NAME
sccs-log, sccslog - create changelog from SCCS history files

SYNOPSIS
sccslog [options] s.file1 .. s.filen

DESCRIPTION
Sccslog creates a Changelog file from SCCS history files.

If a file argument refers to a directory, the directory is scanned for file names that start with ``s.'' and examines all these files.

This program is a SCHILY extension that does not exist in historic sccs implementations.

OPTIONS

-a  sccslog normally collects all deltas with the same delta comment and prints them as one log table entry in case the related delta time for the files differs no more than one day. With -a, sccslog collects only those deltas that have been created within 60 seconds.

-aa With -aa, sccslog collects only deltas that have been created in the same second.

-Cdir
    Use dir as base directory for printed file names in the output. This option is used by sccs -R to tell sccslog to print filenames that are suitable for complete project changelog files.

-p subdir
    Tell sccslog to use subdir when dealing with file names.

-x  Print all comment lines, even those lines that start with ^Ac_ and thus are no real comment but represent SCCS v6 metadata that has been wrapped as comment to survive modifications by SCCS v4 programs. Such wrapped data is file specific and will prevent to find more files with the same delta comment.

-help
    Prints a short summary of the sccslog options and exists.

-Nbulk-spec
    Processes a bulk of SCCS history files. This option allows to do an efficient mass processing of SCCS history files.

    The bulk-spec parameter is composed from an optional list of flag parameters followed by an optional path specifier.

    The following flag types are supported:

    none

    The following path specifier types are supported:

    -N  The file name parameters to the sccslog command are not s.filename files but the names of the g-files. The s.filename names are automatically derived from the g-file names by prepending s. to the last path name component. Both, s.filename and the g-file are in the same directory.

    -Ns.
        The file name parameters to the sccslog command are s.filename files. The the g-files names are automatically derived by removing s. from the beginning of last path name component of the s.filename. Both, s.filename and the g-file are in the same directory.

    -Ndir
        The file name parameters to the sccslog command are not s.filename files but the names of the g-files. The s.filename names are put into directory dir, the names are automatically derived from the g-file names by prepending dir/s. to the last path name component.

    -Ndir/s.
        The file name parameters to the sccslog command are s.filename files in directory dir. The the g-files names are automatically derived by removing dir/s. from the beginning of last path name component of the s.filename.

    A typical value for dir is SCCS.

    In order to overcome the limited number of exec(2) arguments, it is recommended to use `-' as the file name parameter for sccslog(1) and to send a list of path names to stdin.

-V
-version
--version
    Prints the sccslog version number string and exists.

EXAMPLES

To creates a changelog for all SCCS history files in directory SCCS call:

    sccslog SCCS/s.*

ENVIRONMENT VARIABLES

See environ(5) for descriptions of the following environment variables that affect the execution of val(1): LANG, LC_ALL, LC_CTYPE, LC_MESSAGES, and NLSPATH.

SCCS_NO_HELP
    If set, admin(1) will not automatically call help(1) with the SCCS error code in order to print a more helpful error message. Scripts that depend on the exact error messages of SCCS commands should set the environment variable SCCS_NO_HELP and set LC_ALL=C.

FILES

$HOME/.sccs/usermap
    This file contains a map list from user names to user descriptions. It consists of a list of lines (each for one user) that start with a user name, followed by white space and a user description. It may e.g. look like:

    joerg   Joerg Schilling <schily@somewhere.com>
    ronnie  Ronnie Nowhere <ronnie@nowhere.com>

SEE ALSO

sccs(1), sccs-admin(1), sccs-cdc(1), sccs-comb(1), sccs-cvt(1), sccs-delta(1), sccs-get(1), sccs-help(1), sccs-prs(1), sccs-prt(1), sccs-rmdel(1), sccs-sact(1), sccs-sccsdiff(1), sccs-unget(1), sccs-val(1), what(1), sccschangeset(4), sccsfile(4).

DIAGNOSTICS

NOTES

BUGS

AUTHOR
sccslog(1) was originally written by Joerg Schilling in 1997 and is still maintained by Joerg Schilling.

SOURCE DOWNLOAD
A frequently updated source code for the SCCS suite is included in the schilytools project and may be retrieved from the schilytools project at Sourceforge at:

    http://sourceforge.net/projects/schilytools/

The download directory is:

    http://sourceforge.net/projects/schilytools/files/

Check for the schily-*.tar.bz2 archives.

Less frequently updated source code for the SCCS suite is at:

    http://sourceforge.net/projects/sccs/files/

Separate project informations for the SCCS project may be retrieved from:

    http://sccs.sf.net